Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.data
Class AbleBuiltInVariable

    java.lang.Object
      com.ibm.able.data.AbleLhs
          com.ibm.able.data.AbleVariable
              com.ibm.able.data.AbleTypedVariable
                  com.ibm.able.data.AbleBuiltInVariable

All Implemented Interfaces:
  AbleClearable, AbleRd, AbleWr, java.io.Serializable

public class AbleBuiltInVariable
extends AbleTypedVariable
implements java.io.Serializable

This class defines the Able data built-in variable. The value of a built-in variable can be any Java object, but the variable is read-only. The value can be set only in the constructor or by using the replaceValues() method call. The latter is for the exclusive use of the rules system and must not be used by anything else.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.ibm.able.data.AbleTypedVariable
`myDataTypeClass, myDataTypeClassName, myDataTypeName, myInitialParms, myValue`

Fields inherited from class com.ibm.able.data.AbleVariable
`myBoundFlag, myChgSupport, myComment, myContext, myDataType, myGlobalFlag, myId, myName, myPrompt, myReferences, myStaticFlag, myTemplateFlag, myValueInitial`

Constructor Summary
`AbleBuiltInVariable(java.lang.String theName, boolean theStaticFlag, boolean theGlobalFlag, java.lang.Object theInitialValue, java.lang.String theDataTypeName)` Create a new built-in variable.
`AbleBuiltInVariable(java.lang.String theName, boolean theStaticFlag, boolean theGlobalFlag, java.lang.String theDataTypeName, java.lang.String theDataTypeClassName)` Create a new built-in variable with a null initial value .
`AbleBuiltInVariable(java.lang.String theName, java.lang.String theDataTypeName, java.lang.String theDataTypeClassName)` Create a new built-in variable with a null initial value and with the global and static flags set to false.

Method Summary
`void` | `clear()`
`protected void` | `setRawValue(java.lang.Object theNewValue)`
`java.lang.String` | `traceString(int theTraceStringFlavor)` Retrieve a string describing (the contents of) the object.

Methods inherited from class com.ibm.able.data.AbleTypedVariable
`arlDclString, armlDclString, asgnEq, cmpEq, cmpGt, cmpGtEq, cmpIs, cmpLt, cmpLtEq, cmpNeq, compDivide, compMinus, compMultiply, compPlus, compUnaryMinus, getBooleanValue, getDataTypeClass, getDataTypeClassName, getDataTypeName, getFuzzyValue, getGenericValue, getLiteralClass, getNumericValue, getStringValue, getValue, getValueString, init, replaceValues, reset, setBooleanValue, setFuzzyValue, setGenericValue, setNumericValue, setStringValue, setValue, setValueString, toString, xmlDclString`

Methods inherited from class com.ibm.able.data.AbleVariable
`arlCRdString, arlInitializerString, armlCRdString, armlInitializerString, getArlComment, getChgSupport, getComment, getContext, getDataType, getDataTypeAsString, getId, getName, getPrompt, getPromptString, getReferences, getReferent, getReferents, getTemplateString, isBound, isConstant, isGlobal, isLocal, isStatic, isTemplate, notStatic, setChgSupport, setComment, setContext, setId, setInitialValue, setPrompt, setReferences, setStatic, setTemplate, xmlCRdString, xmlCWrString, xmlInitializerString`

Methods inherited from class com.ibm.able.data.AbleLhs
`asgnIs, asgnIs, bitwiseAND, bitwiseNOT, bitwiseOR, bitwiseShiftLeft, bitwiseShiftRight, bitwiseShiftRightZeroFill, bitwiseXOR, compModulo, logicalAND, logicalNOT, logicalOR`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbleBuiltInVariable

    public AbleBuiltInVariable(java.lang.String theName,
                               boolean theStaticFlag,
                               boolean theGlobalFlag,
                               java.lang.Object theInitialValue,
                               java.lang.String theDataTypeName)

  Create a new built-in variable. The initial value must be an instance of the type the variable represents.

Parameters:
  `theName` - The unique name of the variable.

  `theStaticFlag` - Use true if this variable is to be marked as static, which means that it will ignore future reset requests; use false if the variable can be reset to its initial value when requested.

  `theGlobalFlag` - Use true if this variable is to be considered global; use false if the variable is to be considered local.

  `theInitialValue` - The value to which this variable is initially set. It must be an instance of theDataTypeClass.

  `theDataTypeName` - The name of a user-defined data type.

### AbleBuiltInVariable

    public AbleBuiltInVariable(java.lang.String theName,
                               boolean theStaticFlag,
                               boolean theGlobalFlag,
                               java.lang.String theDataTypeName,
                               java.lang.String theDataTypeClassName)

  Create a new built-in variable with a null initial value .

Parameters:
  `theName` - The unique name of the variable.

  `theStaticFlag` - Use true if this variable is to be marked as static, which means that it will ignore future reset requests; use false if the variable can be reset to its initial value when requested.

  `theGlobalFlag` - Use true if this variable is to be considered global; use false if the variable is to be considered local.

  `theDataTypeName` - The name of a user-defined data type.

  `theDataTypeClassName` - The fully qualified name of the user-defined data type.

### AbleBuiltInVariable

    public AbleBuiltInVariable(java.lang.String theName,
                               java.lang.String theDataTypeName,
                               java.lang.String theDataTypeClassName)

  Create a new built-in variable with a null initial value and with the global and static flags set to false.

Parameters:
  `theName` - The unique name of the variable.

  `theDataTypeName` - The name of a user-defined data type.

  `theDataTypeClassName` - The fully qualified name of the user-defined data type.

Method Detail

### setRawValue

    protected void setRawValue(java.lang.Object theNewValue)
                        throws AbleDataException

  Throws:
    `AbleDataException`

### traceString

    public java.lang.String traceString(int theTraceStringFlavor)

  Retrieve a string describing (the contents of) the object.

  Specified by:
    `traceString` in interface `AbleRd`
  Overrides:
    `traceString` in class `AbleTypedVariable`
  Parameters:
    `theTraceStringFlavor` - An Able.TraceStringFlavor value.

  Returns:
    A String containing the current contents of the object.

### clear

    public void clear()

  Specified by:
    `clear` in interface `AbleClearable`
  Overrides:
    `clear` in class `AbleTypedVariable`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005